# List Subdomains GET /api/v1/qllm/subdomains/ Retrieves a list of subdomains for a specific domain. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/qllm/subdomains-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/qllm/subdomains/: get: operationId: subdomains-retrieve summary: List Subdomains description: Retrieves a list of subdomains for a specific domain. tags: - subpackage_qllm parameters: - name: domain_id in: query description: Domain ID (UUID) to get subdomains for required: true schema: type: string format: uuid responses: '200': description: List of subdomain names content: application/json: schema: $ref: '#/components/schemas/qllm_subdomainsRetrieve_Response_200' '400': description: Domain ID is required content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type '404': description: Domain not found content: application/json: schema: description: Any type components: schemas: qllm_subdomainsRetrieve_Response_200: type: object properties: {} description: Empty response body title: qllm_subdomainsRetrieve_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/qllm/subdomains/" querystring = {"domain_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6"} payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/qllm/subdomains/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/qllm/subdomains/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/qllm/subdomains/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/qllm/subdomains/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/qllm/subdomains/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/qllm/subdomains/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/qllm/subdomains/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```